type: 'dictionary'
properties:

  default: { type: '@propertyConfig' }
  mainType:
    type: 'array'
    items: { type: '@propertyConfig' }

'@propertyConfig':
   type: 'dictionary'
   properties:
     enabled: { type: 'boolean' }
     markers:
       type: 'dictionary'
       properties:
         color: { type: 'string' }
         backgroundColor: { type: 'string' }
         icon: { type: 'string' }
     clustering:
       type: 'dictionary'
       properties:
         color: { type: 'string' }
         backgroundColor: { type: 'string' }
